# $Revision: 1.17 $, $Date: 2003/12/12 15:05:21 $
Summary:	SDL graphics drawing primitives and other support functions
Summary(pl):	Funkcje rysowania grafiki i inne dla SDL
Name:		SDL_gfx
Version:	2.0.10
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.ferzkopp.net/~aschiffler/Software/%{name}-2.0/%{name}-%{version}.tar.gz
# Source0-md5:	291b06426a3afe42ecac8473be2505d1
Patch0:		%{name}-local-labels.patch
URL:		http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/index.html
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/SDL

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%description -l pl
Biblioteka SDL_gfx wyewoluowaa z kodu SDL_gfxPrimitives.

Aktualnie SDL_gfx zawiera nastpujce komponenty:
- prymitywy graficzne (SDL_gfxPrimitives.h)
- Rotozoomer (SDL_rotozoom.h)
- kontrola szybkoci rysowania obrazu (SDL_framerate.h)
- filtry obrazw uywajce MMX (SDL_imageFilter.h).

Biblioteka jest wstecznie kompatybilna z wyej wspomnianym kodem. Jest
napisana w czystym C, moe te by uywana w kodzie C++.

%package devel
Summary:	Header files and more to develop SDL_gfx applications
Summary(pl):	Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_gfx
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_gfx applications.

%description devel -l pl
Pliki nagwkowe do rozwijania aplikacji uywajcych SDL_gfx.

%package static
Summary:	Static SDL_gfx libraries
Summary(pl):	Statyczne biblioteki SDL_gfx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static SDL_gfx libraries.

%description static -l pl
Statyczne biblioteki SDL_gfx.

%prep
%setup -q
%patch -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%ifarch %{ix86}
%configure
%else
%configure \
	--disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc Docs/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_gfx.spec,v $
Revision 1.17  2003/12/12 15:05:21  grzegol
- updated to 2.0.10
- fixed URL

Revision 1.16  2003/10/27 17:52:11  adamg
- updated to 2.0.9

Revision 1.15  2003/08/05 21:45:15  qboosh
- added local-labels patch - use local labels in asm statements (to allow
  forcing inline functions by using custom, non-default optflags - but
  I doubt if it'd give better performance anyway...)

Revision 1.14  2003/07/29 13:31:54  grzegol
- updated to 2.0.8

Revision 1.13  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.12  2003/06/11 04:42:57  misi3k
- updated to 2.0.7

Revision 1.11  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/19 23:50:45  qboosh
- added .la to -devel, new %%doc
- headers moved to /usr/include/SDL (like in other SDL* packages)

Revision 1.8  2003/02/05 20:28:43  mmazur
- Let me shoot the 'two lines with define guy'... please please please please
- fixed includedir; rel3

Revision 1.7  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.6  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/07/15 21:06:34  ankry
- don't use mmx on non-x86
- release 2, STBR

Revision 1.4  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/28 21:55:52  qboosh
- pl description

Revision 1.1  2002/04/28 17:24:50  jajcus
- new spec
